be.fgov.ehealth.standards.kmehr.cd.v1

## Enum CDEXTERNALSOURCEschemes

- java.lang.Object
- - java.lang.Enum<CDEXTERNALSOURCEschemes>
  - - be.fgov.ehealth.standards.kmehr.cd.v1.CDEXTERNALSOURCEschemes

- All Implemented Interfaces:
    Serializable, Comparable<CDEXTERNALSOURCEschemes>

      public enum CDEXTERNALSOURCEschemes
      extends Enum<CDEXTERNALSOURCEschemes>

  Java class for CD-EXTERNALSOURCEschemes.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-EXTERNALSOURCEschemes">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="CD-EXTERNALSOURCE"/>
           <enumeration value="LOCAL"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CD_EXTERNALSOURCE`
    `LOCAL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDEXTERNALSOURCEschemes` | `fromValue(String v)`
    `String` | `value()`
    `static CDEXTERNALSOURCEschemes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDEXTERNALSOURCEschemes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CD_EXTERNALSOURCE

          public static final CDEXTERNALSOURCEschemes CD_EXTERNALSOURCE

    - #### LOCAL

          public static final CDEXTERNALSOURCEschemes LOCAL

  - ### Method Detail

    - #### values

          public static CDEXTERNALSOURCEschemes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDEXTERNALSOURCEschemes c : CDEXTERNALSOURCEschemes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDEXTERNALSOURCEschemes valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDEXTERNALSOURCEschemes fromValue(String v)

Connector Packaging PERSLOGOPEDIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.